title1 CENSUS OF CANADA 1981 - BST: EA-LONG FORM- EAD81B10
title2 SAS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher

LIBNAME LIBRARY 'C:\SUSHIL\CC81\EA\LONG\';
LIBNAME OUT 'C:\SUSHIL\CC81\EA\LONG\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V6_F
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1,000 - 2,499'
    8.00='0 - 999'
  ;
  Value  V11_F
    1.00='Urbanized core'
    2.00='Urban fringe'
    3.00='Rural fringe'
  ;
  Value  V12_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V13_F
    0.00='Not a CMA/CA'
    1.00='1,000,000 & over'
    2.00='500,000 - 999,999'
    3.00='250,000 - 499,999'
    4.00='100,000 - 249,999'
    5.00='50,000 - 99,999'
    6.00='25,000 - 49,999'
    7.00='10,000 - 24,999'
  ;
  Value  V18_F
    0.00='Rural'
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1 - 2,499'
  ;
  Value  V22_F
    1.00='Includes IR or part of IR'
  ;
  Value  V23_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.EAD81B10;
 INFILE 'C:\SUSHIL\CC81\EA\LONG\EAD81B10.DAT' LRECL = 268;
 INPUT
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14-14  CSDTN 15-17  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26-26  CASL 27-27  CASZ 28-28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46-46  BLANK1 47-47  BLANK2 48-48
  BLANK3 49-49  HGIMPIND 50-50  RECTYPE 51-52  V24 53-61  V25 62-70  V26 71-79  V27 80-88  V28 89-97  V29 98-106  V30 107-115
  V31 116-124  V32 125-133  V33 134-142  V34 143-151  V35 152-160  V36 161-169  V37 170-178  V38 179-187  V39 188-196  V40 197-205
  V41 206-214  V42 215-223  V43 224-232  V44 233-241  V45 242-250  V46 251-259  V47 260-268 ;

  FORMAT  RP V1_F. ;
  FORMAT  CSDS V6_F. ;
  FORMAT  CAP V11_F. ;
  FORMAT  CASL V12_F. ;
  FORMAT  CASZ V13_F. ;
  FORMAT  URS V18_F. ;
  FORMAT  HGIMPIND V22_F. ;
  FORMAT  RECTYPE V23_F. ;
  LABEL
    RP='Region and province'
    FED='Federal electoral district'
    EA='Enumeration area'
    CD='Census division'
    CSDGC='Census subdivision geographical classification'
    CSDS='CSD population size group'
    CSDTN='CSD type name'
    CSDT='CSD type code'
    CCSGC='Census consolidated subdivision geographical classification'
    CA='Census metropolitan area/Census agglomeration'
    CAP='CMA/CA part'
    CASL='CMA/CA selector'
    CASZ='CMA/CA population size group'
    CTPN='Census tract/Provincial census tract name'
    CT='Census tract/Provincial census tract code'
    SPR='Subprovincial region'
    UAC='Urban area code/Rural indicator'
    URS='Urabn area population size group'
    BLANK1='Blank'
    BLANK2='Blank'
    BLANK3='Blank'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    V24='Total population 5 yrs & over'
    V25='Population 5 yrs & over: Males'
    V26='Population 5 yrs & over: Females'
    V27='Non-movers: Total'
    V28='Non-movers: Males'
    V29='Non-movers: Females'
    V30='Non-migrants: Total'
    V31='Non-migrants: Males'
    V32='Non-migrants: Females'
    V33='Migrants from same prov: Total'
    V34='Migrants from same prov: Males'
    V35='Migrants from same prov: Females'
    V36='Migrants from diff. prov: Total '
    V37='Migrants from diff. prov: Males'
    V38='Migrants from diff. prov: Females'
    V39='Migrants from outside Canada: Total'
    V40='Migrants from outside Canada: Males'
    V41='Migrants from outside Canada: Females'
    V42='Migrants: Total'
    V43='Migrants: Males'
    V44='Migrants: Females'
    V45='Movers: Total'
    V46='Movers: Males'
    V47='Movers: Females'
  ;
  ;
RUN;
