* Encoding: windows-1252.
/* SPSS Data Definition File
/* Modified by Jordan Raghunandan, Map and Data Library, University of Toronto, January, 2017
TITLE 'CENSUS OF CANADA 1981 - BST: EA-LONG FORM- EAD81B10'.
SUBTITLE 'SPSS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher'.
FILE HANDLE in NAME='x' LRECL=727.     /* Replace 'x' with input file path name for corresponding .asc file. 
DATA LIST FILE=in/
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14  CSDTN 15-17 (A)  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26  CASL 27  CASZ 28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46  BLANK1 47  BLANK2 48
  BLANK3 49  HGIMPIND 50  RECTYPE 51-52  V24 53-61  V25 62-70  V26 71-79  V27 80-88  V28 89-97  V29 98-106  V30 107-115
  V31 116-124  V32 125-133  V33 134-142  V34 143-151  V35 152-160  V36 161-169  V37 170-178  V38 179-187  V39 188-196  V40 197-205
  V41 206-214  V42 215-223  V43 224-232  V44 233-241  V45 242-250  V46 251-259  V47 260-268.
VARIABLE LABELS
   RP 'Region and province'
 / FED 'Federal electoral district'
 / EA 'Enumeration area'
 / CD 'Census division'
 / CSDGC 'Census subdivision geographical classification'
 / CSDS 'CSD population size group'
 / CSDTN 'CSD type name'
 / CSDT 'CSD type code'
 / CCSGC 'Census consolidated subdivision geographical classification'
 / CA 'Census metropolitan area/Census agglomeration'
 / CAP 'CMA/CA part'
 / CASL 'CMA/CA selector'
 / CASZ 'CMA/CA population size group'
 / CTPN 'Census tract/Provincial census tract name'
 / CT 'Census tract/Provincial census tract code'
 / SPR 'Subprovincial region'
 / UAC 'Urban area code/Rural indicator'
 / URS 'Urban area population size group'
 / BLANK1 'Blank'
 / BLANK2 'Blank'
 / BLANK3 'Blank'
 / HGIMPIND 'Indian Reserve: High imputation area indicator'
 / RECTYPE 'Record type'
 / V24 'Total population 5 yrs & over'
 / V25 'Population 5 yrs & over: Males'
 / V26 'Population 5 yrs & over: Females'
 / V27 'Non-movers: Total'
 / V28 'Non-movers: Males'
 / V29 'Non-movers: Females'
 / V30 'Non-migrants: Total'
 / V31 'Non-migrants: Males'
 / V32 'Non-migrants: Females'
 / V33 'Migrants from same prov: Total'
 / V34 'Migrants from same prov: Males'
 / V35 'Migrants from same prov: Females'
 / V36 'Migrants from diff. prov: Total '
 / V37 'Migrants from diff. prov: Males'
 / V38 'Migrants from diff. prov: Females'
 / V39 'Migrants from outside Canada: Total'
 / V40 'Migrants from outside Canada: Males'
 / V41 'Migrants from outside Canada: Females'
 / V42 'Migrants: Total'
 / V43 'Migrants: Males'
 / V44 'Migrants: Females'
 / V45 'Movers: Total'
 / V46 'Movers: Males'
 / V47 'Movers: Females'
.
VALUE LABELS
   RP
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / CSDS
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1,000 - 2,499'
     8  '0 - 999'
 / CAP
     1  'Urbanized core'
     2  'Urban fringe'
     3  'Rural fringe'
 / CASL
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
 / CASZ
     0  'Not a CMA/CA'
     1  '1,000,000 & over'
     2  '500,000 - 999,999'
     3  '250,000 - 499,999'
     4  '100,000 - 249,999'
     5  '50,000 - 99,999'
     6  '25,000 - 49,999'
     7  '10,000 - 24,999'
 / URS
     0  'Rural'
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1 - 2,499'
 / HGIMPIND
     1  'Includes IR or part of IR'
 / RECTYPE
     1  'Canada'
     2  'Provinces'
     3  'Remainder'
     10  'CMA/CA'
     12  'Prov. CT subtotal'
     13  'Census tracts'
     15  'Prov. census tracts'
     16  'Census divisions'
     17  'Census subdivisions'
     18  'Federal electoral districts'
     19  'Enumeration areas'
.
MISSING VALUES
.
SAVE OUTFILE= 'y'/* Replace 'y' with name to give your system file
  /MAP
  /COMPRESSED. /* Delete this line if you want an uncompressed file
